<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<form method="post" class="form-horizontal" role="form">

			<h1 id="nnr-heading"><?php echo ( isset($_GET['data_id']) ? _e('Edit Ad', self::$text_domain) : _e('Add Ad', self::$text_domain) ); ?>
				<small>
					<a href="<?php echo admin_url() . 'admin.php?page=' . self::$dashboard_page; ?>" role="button" class="nnr-heading-button-left btn btn-primary"><i class="fa fa-long-arrow-left"></i> <?php _e('Back', self::$text_domain); ?></a>

					<button type="submit" role="button" value="<?php echo (isset($_GET["data_id"])) ? __("Update", self::$text_domain) : __("Save", self::$text_domain); ?>" class="nnr-heading-button-right btn btn-info" name="submit">
						<i class="fa fa-hdd-o"></i> <?php echo (isset($_GET["data_id"])) ? __("Update", self::$text_domain) : __("Save", self::$text_domain); ?>
					</button>
				</small>
			</h1>

			<div class="col-sm-8">

				<!-- Content Type -->

				<div class="hidden panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Content Type', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<div class="btn-toolbar nnr-button-toolbar" role="toolbar" data-toggle="buttons">

							<div class="btn-group col-sm-6">

								<label class="col-xs-12 btn btn-default <?php echo isset($args['content_type']) && $args['content_type'] == 'ad' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>content-type-ad">
									<input type="radio" name="<?php echo self::$prefix_dash; ?>content-type" id="<?php echo self::$prefix_dash; ?>content-type-ad" value="ad" <?php echo isset($args['content_type']) && $args['content_type'] == 'ad' ? 'checked="checked"' : ''; ?>/> <?php _e('Self Hosted Ad', self::$text_domain); ?> <br/><span class="nnr-settings-icon fa fa-file-image-o"></span>
								</label>

							</div>

							<div class="btn-group col-sm-6">

								<label class="col-xs-12 btn btn-default <?php echo isset($args['content_type']) && $args['content_type'] == 'third-ad' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>content-type-third-ad">
									<input type="radio" name="<?php echo self::$prefix_dash; ?>content-type" id="<?php echo self::$prefix_dash; ?>content-type-third-ad" value="third-ad" <?php echo isset($args['content_type']) && $args['content_type'] == 'third-ad' ? 'checked="checked"' : ''; ?>/> <?php _e('Third Party Ad', self::$text_domain); ?> <br/><span class="nnr-settings-icon fa fa-cloud"></span>
								</label>

							</div>

						</div>

					</div>
				</div>

				<!-- Self Hosted Ad -->

				<div class="panel panel-default <?php echo self::$prefix_dash; ?>content-type <?php echo self::$prefix_dash; ?>content-type-ad">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Self Hosted Ad', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<!-- Ad Type -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>ad-type" class="col-sm-3 control-label"><?php _e('Ad Type', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="<?php echo self::$prefix_dash; ?>ad-type" name="<?php echo self::$prefix_dash; ?>ad-type">
									<option value="image" <?php selected($args['ad_type'], 'image', true); ?>><?php _e('Image', self::$text_domain); ?></option>
									<option value="link" <?php selected($args['ad_type'], 'link', true); ?>><?php _e('Link', self::$text_domain); ?></option>
								</select>
							</div>
						</div>

						<!-- Ad -->

						<div class="form-group <?php echo self::$prefix_dash; ?>ad-type <?php echo self::$prefix_dash; ?>ad-type-image">
							<label for="<?php echo self::$prefix_dash; ?>ad-image" class="col-sm-3 control-label"><?php _e('Ad Image', self::$text_domain); ?></label>
							<div class="col-sm-9">

								<?php
								$ad_image_attributes = wp_get_attachment_image_src($args["ad_image"], 'medium'); // returns an array

								if( $ad_image_attributes ) {
									$ad_image_src = $ad_image_attributes[0];
								} else {
									$ad_image_src = '';
								}
								?>

								<div id="<?php echo self::$prefix_dash; ?>ad-image-show" style="padding: 20px;height: 200px; min-width: 300px;<?php echo isset($ad_image_src) && $ad_image_src != '' ? 'background-image: url(' . $ad_image_src . ');' : ''; ?> background-repeat: no-repeat; background-position: center center;background-size: contain;" class="form-control well"></div>
								<em class="help-block"><?php _e('Please select an image that is at least 500x500.', self::$text_domain); ?></em>
								<input id="<?php echo self::$prefix_dash; ?>ad-image-btn" class="btn btn-primary" type="button" value="<?php _e('Set Image', self::$text_domain); ?>" />
								<input id="<?php echo self::$prefix_dash; ?>ad-image-btn-remove" class="btn btn-danger" type="button" value="<?php _e('Remove Image', self::$text_domain); ?>" />
								<input id="<?php echo self::$prefix_dash; ?>ad-image" name="<?php echo self::$prefix_dash; ?>ad-image" class="form-control hidden" type="text" value="<?php echo isset($args['ad_image']) ? esc_attr($args['ad_image']) : ''; ?>">
							</div>
						</div>

						<!-- Ad Link -->

						<div class="form-group <?php echo self::$prefix_dash; ?>ad-type <?php echo self::$prefix_dash; ?>ad-type-link">
							<label for="<?php echo self::$prefix_dash; ?>ad-image-link" class="col-sm-3 control-label"><?php _e('Ad Image Link', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input class="form-control" id="<?php echo self::$prefix_dash; ?>ad-image-link" name="<?php echo self::$prefix_dash; ?>ad-image-link" type='text' value="<?php echo (isset($args['ad_image_link']) ? esc_url_raw($args['ad_image_link']) : '') ;?>" />
								<em class="help-block"><?php _e('Please select an image that is at least 500x500.', self::$text_domain); ?></em>
							</div>
						</div>

						<!-- Ad Destination Link -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>ad-destination-link" class="col-sm-3 control-label"><?php _e('Ad Destination Link', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input class="form-control" id="<?php echo self::$prefix_dash; ?>ad-destination-link" name="<?php echo self::$prefix_dash; ?>ad-destination-link" type='text' value="<?php echo (isset($args['ad_destination_link']) ? esc_url_raw($args['ad_destination_link']) : 'http://') ;?>" />
							<em class="help-block">Remember to add  &quot;http://&quot; or  &quot;https://&quot; for external links</em>
							</div>
						</div>

						<!-- Ad Destination URL Target -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>ad-destination-target" class="col-sm-3 control-label"><?php _e('Ad Destination URL Target', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="<?php echo self::$prefix_dash; ?>ad-destination-target" name="<?php echo self::$prefix_dash; ?>ad-destination-target">
									<option value="_blank" <?php selected('_blank', $args['ad_destination_target'], true); ?>><?php _e('New tab or window', self::$text_domain); ?></option>
									<option value="_self" <?php selected('_self', $args['ad_destination_target'], true); ?>><?php _e('Same window', self::$text_domain); ?></option>
								</select>
							</div>
						</div>

						<!-- Ad Destination URL rel -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>ad-destination-rel" class="col-sm-3 control-label"><?php _e('Ad Destination URL Rel No Follow', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input id="<?php echo self::$prefix_dash; ?>ad-destination-rel" name="<?php echo self::$prefix_dash; ?>ad-destination-rel" type="checkbox" <?php echo isset($args['ad_destination_rel']) && $args['ad_destination_rel'] ? 'checked="checked"' : ''; ?>/>
								<em class="help-block"><?php _e('Nofollow provides a way for webmasters to tell search engines "Don\'t follow links on this page" or "Don\'t follow this specific link.', self::$text_domain); ?> <a href="https://support.google.com/webmasters/answer/96569?hl=en" target="_blank"><?php _e('Read More.', self::$text_domain); ?></a></em>
							</div>
						</div>

					</div>
				</div>

				<!-- Third Party Ad -->

				<div class="panel panel-default <?php echo self::$prefix_dash; ?>content-type <?php echo self::$prefix_dash; ?>content-type-third-ad">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Third Party Ad', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<!-- Third Party Ad -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>third-ad-code" class="col-sm-3 control-label"><?php _e('Third Party Ad Code', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input class="form-control" id="<?php echo self::$prefix_dash; ?>third-ad-code" name="<?php echo self::$prefix_dash; ?>third-ad-code" type='text' value="<?php echo (isset($args['third_ad_code']) ? esc_html(html_entity_decode($args['third_ad_code'])) : '') ;?>" />
							</div>
						</div>

					</div>
				</div>

				<!-- Page Peel Options -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Page Peel Options', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<!-- Ad Position -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>position" class="col-sm-3 control-label"><?php _e('Position on the Page', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="<?php echo self::$prefix_dash; ?>position" name="<?php echo self::$prefix_dash; ?>position">
									<option value="1" <?php selected($args['position'], '1', true); ?>><?php _e('Top Left', self::$text_domain); ?></option>
									<option value="2" <?php selected($args['position'], '2', true); ?>><?php _e('Top Right', self::$text_domain); ?></option>
									<option value="3" <?php selected($args['position'], '3', true); ?>><?php _e('Bottom Left', self::$text_domain); ?></option>
									<option value="4" <?php selected($args['position'], '4', true); ?>><?php _e('Bottom Right', self::$text_domain); ?></option>
								</select>
							</div>
						</div>

						<!-- Peel Type -->
						<!--
						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>peel-type" class="col-sm-3 control-label"><?php _e('Peel Type', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<select id="<?php echo self::$prefix_dash; ?>peel-type" name="<?php echo self::$prefix_dash; ?>peel-type">
									<option value="1" <?php selected($args['peel_type'], '1', true); ?>><?php _e('Dark', self::$text_domain); ?></option>
									<option value="2" <?php selected($args['peel_type'], '2', true); ?>><?php _e('Light', self::$text_domain); ?></option>
								</select>
							</div>
						</div>
					-->

					<!-- Background Color -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>background-color" class="col-sm-3 control-label"><?php _e('Peel Color', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input type="text" id="<?php echo self::$prefix_dash; ?>background-color" name="<?php echo self::$prefix_dash; ?>background-color" class="nnr-color-input" value="<?php echo (isset($args['background_color']) ? $args['background_color'] : '#fff');?>"/>
							</div>
						</div>


						<!-- Sticky Page Peel -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>sticky" class="col-sm-3 control-label"><?php _e('Sticky', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input type="checkbox" id="<?php echo self::$prefix_dash; ?>sticky" name="<?php echo self::$prefix_dash; ?>sticky" <?php echo (isset($args['sticky']) && $args['sticky'] ? 'checked="checked"' : ''); ?> />
								<em class="help-block"><?php _e('Should the Page Peel stick to that part of the page as the user scrolls?', self::$text_domain); ?></em>
							</div>
						</div>
						
						<!-- Bouncy Effect -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>bouncy" class="col-sm-3 control-label"><?php _e('Bouncy Effect', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<input type="checkbox" id="<?php echo self::$prefix_dash; ?>bouncy" name="<?php echo self::$prefix_dash; ?>bouncy" <?php echo (isset($args['bouncy']) && $args['bouncy'] ? 'checked="checked"' : ''); ?> />
								<em class="help-block"><?php _e('Add bouncy animation to the page peel, note: you will need a larger image.', self::$text_domain); ?></em>
							</div>
						</div>

					</div>
				</div>

				<!-- Tracking Code -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Tracking Code', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<!-- Tracking Code -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>tracking-code" class="col-sm-3 control-label"><?php _e('Tracking Code', self::$text_domain); ?></label>
							<div class="col-sm-9">
								<textarea rows="5" class="form-control" id="<?php echo self::$prefix_dash; ?>tracking-code" name="<?php echo self::$prefix_dash; ?>tracking-code"><?php echo (isset($args['tracking_code']) ? esc_html(html_entity_decode($args['tracking_code'])) : '') ;?></textarea>
							</div>
						</div>

					</div>
				</div>

			</div>

			<div class="col-sm-4">

				<!-- General -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('General', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<?php echo $data_manager_settings->display_name($settings['name'], null, null, 'block');
						echo $data_manager_settings->display_start_date($settings['start_date'], null, null, 'block');
						echo $data_manager_settings->display_end_date($settings['end_date'], null, null, 'block'); ?>

						<!-- Powered By -->

						<div class="nnr-block-group">
							<label for="<?php echo self::$prefix_dash; ?>powered-by">
								<input id="<?php echo self::$prefix_dash; ?>powered-by" name="<?php echo self::$prefix_dash; ?>powered-by" type='checkbox' <?php echo (isset($args['powered_by']) && $args['powered_by'] ? 'checked="checked"' : '') ;?>/> <?php _e('Powered by ' . NNROBOTS_PAGE_PEEL_ADS_ITEM_NAME, self::$text_domain); ?>
							</label>
						</div>

					</div>
				</div>

				<!-- Display Conditions -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Display Conditions', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<?php echo $display_conditions_settings->display_sitewide($display_conditions['sitewide'], null, __('Uncheck this option to enable options below.'), 'block'); ?>

						<fieldset class="<?php echo self::$prefix_dash; ?>trigger-sitewide">
							<?php echo $display_conditions_settings->display_frontpage($display_conditions['frontpage'], null, null, 'block');
							echo $display_conditions_settings->display_post_types($display_conditions['post_types'], $display_conditions['taxonomies'], null, null, 'block'); ?>
						</fieldset>

					</div>
				</div>

				<!-- Excludes -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Excludes', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<?php echo $display_conditions_settings->display_post_type_excludes($display_conditions['post_types'], null, null, 'block');
						echo $display_conditions_settings->display_taxonomy_excludes($display_conditions['taxonomies'], null, null, 'block'); ?>

					</div>
				</div>

				<!-- Referrer Domain -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Referrer Domain', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<?php echo $display_conditions_settings->display_referrer_type($display_conditions['referrer_type'], null, null, 'block');
						echo $display_conditions_settings->display_referrer_domain($display_conditions['referrer_domain'], null, null, 'block');?>

					</div>
				</div>

				<!-- Users -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Users', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<?php echo $display_conditions_settings->display_users($display_conditions['users'], null, null, 'block');
						echo $display_conditions_settings->display_user_roles($display_conditions['roles'], null, null, 'block'); ?>

					</div>
				</div>

				<!-- Screen Size -->

				<div class="panel panel-default">
					<div class="panel-heading">
						<h3 class="panel-title"><?php _e('Screen Sizes', self::$text_domain); ?></h3>
					</div>
					<div class="panel-body">

						<?php echo $display_conditions_settings->display_display_screen($display_conditions['display_screen'], null, null, 'block'); ?>

					</div>
				</div>

			</div>

			<?php wp_nonce_field(self::$prefix . 'admin_settings'); ?>

		</form>

	</div>

	<?php require_once('footer.php'); ?>

</div>
